/* libcondrv - condrv.h (version 0.20) */

#ifndef __condrv_h__
#define __condrv_h__

#ifndef __cdecl_h__
#include <cdecl.h>
#endif

_EXTERN (int	condrv_getver (void_));
_EXTERN (int	condrv_getlevel (void_));
_EXTERN (int	condrv_xon (void_));
_EXTERN (int	condrv_xoff (void_));
_EXTERN (int	condrv_get_keymode (void_));
_EXTERN (int	condrv_kon (void_));
_EXTERN (int	condrv_koff (void_));
_EXTERN (int	condrv_write (const char* buf, int size));
_EXTERN (int	condrv_get_keybuf_len (void_));
_EXTERN (int	condrv_keypast (const char* buf, int size));
_EXTERN (int	condrv_keypast_once (const char* buf));
_EXTERN (int	condrv_stop_keypast (void_));
_EXTERN (void*	condrv_get_keyinit_adr (void_));
_EXTERN (void*	condrv_hook_keyinit (void* addr));
_EXTERN (int	condrv_unhook_keyinit (void* now_addr, void* orig_addr));

#if 0
/* Please do not use following functions */
_EXTERN (void	condrv_on (void_));
_EXTERN (void	condrv_off (void_));
_EXTERN (int	condrv_push (void_));
_EXTERN (int	condrv_pop (void_));
#endif

#endif
