/* libcondrv - kp2.c (KeyPast sample 2) */

#include <stdio.h>
#include <stdlib.h>
#include <string.h>
#define __DOS_INLINE__
#include <sys/dos.h>
#include <condrv.h>

#define BUFFER ((char*)0x2000)
#define BUF_SIZE (1024)

int
main (int argc, char* argv[])
{
  char* buf = BUFFER;

  if (argc == 1)
    {
      (void) printf ("usage: kp2 string ...\n");
      return 1;
    }

  if (condrv_stop_keypast () < 0)
    {
      (void) printf ("condrv(em).sys gݍ܂Ă܂.\n");
      return 1;
    }

  {
    int ssp = _dos_super (0);
    int len = 1;
    int i;

    for (i = 1; i < argc; i++)
      {
	len += strlen (argv[i]) + strlen ("\r");
	if (len >= BUF_SIZE)
	  {
	    (void) printf ("񂪒܂.\n");
	    return 1;
	  }
	if (i == 1)
	  *buf = 0;
	strcat (strcat (buf, argv[i]), "\r");
      }
    (void) _dos_super (ssp);
  }

  condrv_keypast_once (buf);

  return 0;
}
